Upgrading from M3 Simply

Discussion in 'NDS - Flashcarts and Accessories' started by grcd, Mar 13, 2010.

  1. grcd
    OP

    grcd Member

    Newcomer
    18
    0
    Sep 14, 2009
    I have an 'old' DS Lite and have been using M3 Simply for quite a few years now with no problems. But recently my card has started to 'freeze' or fail to boot on ocassion and I also suspect that my modified R4 firmware is getting a bit too old (and compatibility with new games might be low). So... I decided to upgrade to one of the new flash cards out there.

    Can someone help me make the right decision?

    I need the following features:

    1) Ability to use my old save files (or be able to convert them easily)
    2) Ability to use my old micro-SD card (obviously I understand that data will have to be wiped out)
    3) Best compatibility with new games, best functions
    4) Possibility to use a Slot-2 device to run GBA games.

    Especially on point (4), which is the best Slot-2 device?

    Many thanks! Hope I can get some help here!

    EDIT: I realised there is a more specific topic under which to post this. I would happily accept if a moderator moved my topic there [Post your which flashcart to buy questions here!] as I have no intention to go against the forum rules! I hope this does not cost me a warning...

    EDIT 2: I decided to buy M3 Zero and EZ Flash 3-1 since I am very happy with M3 and I believe it gives a chance of having the same save-file (or easy convertion). I hope EZ Flash 3-1 is compatible with Zero, because I am not 100% it is. I hope I made the right choice!
     
  2. grindbart

    grindbart GBAtemp Regular

    Member
    125
    0
    Nov 19, 2008
    Gambia, The
    iEDGE,AK2i,M3i ZERO
     
  3. Glisern

    Glisern Advanced Member

    Newcomer
    73
    17
    Jul 30, 2007
    Norway
    just a question from someone who is after the same thing as the OP.

    Why didn't you mention Acekard 2i AK2i?
     
  4. Joe88

    Joe88 [λ]

    Member
    11,596
    2,823
    Jan 6, 2008
    United States
    NYC
    why did you buy the ez flash
    the m3 gba exp pak can be used directly in the m3 touchpod/sakura firmwares
    as well can used advanced functions like gba cheats, real time save, real time clock, gba connectivity
     
  5. twiztidsinz

    twiztidsinz Taiju Yamada Fan

    Member
    4,981
    6
    Dec 23, 2008
    United States
    Possibly because grcd doesn't have the M3 Expansion Pack.

    The M3 Simply is a re-branded (not clone!) R4DS.
    It was the M3 Real that came bundled with various Slot-2 devices like GBA, RAM and Rumble packs.
     
  6. grcd
    OP

    grcd Member

    Newcomer
    18
    0
    Sep 14, 2009
    Exactly, but now I am afraid I made the wrong choice for GBA Flashcart. I mean, I use ExpLoader to run my GBA games just fine, but M3i Zero does not recognize my cart in any other way... not even as expansion or rumble cart, and of course it can't run GBA games by itself (but it can through ExpLoader).

    Any help to make M3i Zero work?? Or did I make the wrong purchase?
     
  7. twiztidsinz

    twiztidsinz Taiju Yamada Fan

    Member
    4,981
    6
    Dec 23, 2008
    United States
    I think ExpLoader blocks the M3 cards... But there is a workaround.
    http://filetrip.net/f4135-GBA-Exploader-0-58X-M3-Patch.html
     
  8. grcd
    OP

    grcd Member

    Newcomer
    18
    0
    Sep 14, 2009
    So what does that do exactly? ExpLoader DOES work for me, with no problems. What doesn't is loading GBA games directly from Sakura (or other loaders), plus there is no rumble or RAM expansion recognition. Will this solve these problems?
     
  9. DeltaBurnt

    DeltaBurnt I'm bored

    Member
    3,353
    2
    Feb 21, 2009
    United States
    Where intellect matters
    You need the M3 expansion itself to have it work.

    I'd suggest you get it because it makes things easier, and playing directly from the firmware is easier and has more features + better compatibility.
     
  10. twiztidsinz

    twiztidsinz Taiju Yamada Fan

    Member
    4,981
    6
    Dec 23, 2008
    United States
    Yes... because as I said M3, the ones who maintain the Sakura firmware, block ExpLoader.
    That is why I provided you a link to GBAExpLoader that works with Sakura.
     
  11. grcd
    OP

    grcd Member

    Newcomer
    18
    0
    Sep 14, 2009
    I see. Inside this file is an .IPS file. How do I patch this exactly? I know .IPS files are patches that need applied. Any instructions?
     
  12. twiztidsinz

    twiztidsinz Taiju Yamada Fan

    Member
    4,981
    6
    Dec 23, 2008
    United States
    I like Lunar IPS: http://www.zophar.net/utilities/patchutil/lunar-ips.html

    It's very simple to use, just run Lunar IPS
    1). Click "Apply IPS Patch"
    2). Select the .IPS file
    3). Select your ROM
    Done